<div class="filters">
  <ToolBar :title="currentRouteName">

    <div slot="navbarRightAction">
      <!-- <v-btn icon>
        <v-icon>mdi-share</v-icon>
      </v-btn>
      <v-btn icon>
        <v-icon>mdi-dots-vertical</v-icon>
      </v-btn> -->
    </div>

  </ToolBar>

  <v-content>
    <v-container>
      <Title :title="'Filters'"></Title>
      <v-row justify="center">
        <v-expansion-panels accordion>
          <v-expansion-panel>
            <v-expansion-panel-header>Duration</v-expansion-panel-header>
            <v-expansion-panel-content>
              <!-- Filter duration -->
              <!-- <v-row
                class="mb-4"
                justify="space-between"
              >
                <v-col class="text-left">
                  <span class="font-weight-light mr-1">max: {{slider}} min</span>
                </v-col>
              </v-row> -->
              <v-col cols="12">
                <v-text-field
                  type="number"
                  label="Maximal Duration"
                  prepend-inner-icon="mdi-clock-outline"
                  suffix="min"
                  v-model="filterParam.time"
                ></v-text-field>
                <!-- <v-slider
                  v-model="slider"
                ></v-slider> -->
              </v-col>

            </v-expansion-panel-content>
          </v-expansion-panel>
          <v-expansion-panel>
            <v-expansion-panel-header>Total Serving</v-expansion-panel-header>
            <v-expansion-panel-content>
              <v-col cols="12">
                <v-text-field
                  type="number"
                  label="Serving"
                  v-model="filterParam.serving"
                ></v-text-field>
              </v-col>
            </v-expansion-panel-content>
          </v-expansion-panel>
          <v-expansion-panel>
            <v-expansion-panel-header>Category</v-expansion-panel-header>
            <v-expansion-panel-content>
              <!-- <v-container> -->
                <v-checkbox v-for="(item, index) in category" :key="index" v-model="filterParam.category" :label="item.category" :value="item.category"></v-checkbox>




                <!-- <v-card-text>
                  <v-item-group multiple>
                    <v-subheader>Tags</v-subheader>
                    <div>

                      <v-item
                        v-for="(item, n) in category"
                        :key="n"
                      >
                        <v-avatar>
                          <v-img :src="item.imageUrl">
                            <v-list-item-action>
                              <v-icon>mdi-check</v-icon>
                            </v-list-item-action>
                          </v-img>
                        </v-avatar>
                        <v-sheet
                          tile
                          >
                          {{item.category}}
                        </v-sheet>
                      </v-item>
                    </div>
                  </v-item-group>
                </v-card-text> -->

                <!-- <v-checkbox v-model="filterParam.category" label="Snack" value="Snack"></v-checkbox>
                <v-checkbox v-model="filterParam.category" label="Drink" value="Drink"></v-checkbox> -->
              <!-- </v-container> -->
            </v-expansion-panel-content>
          </v-expansion-panel>
        </v-expansion-panels>
        <v-btn block class="ma-2" tile color="indigo" @click="filter(filterParam)" dark>Filters</v-btn>
      </v-row>
    </v-container>

    <!-- Result -->
    <v-container>
      <Title :title="'Result '"></Title>

      <v-row no-gutters>
        <v-col cols="12" sm="6" md="4" lg="3"
          v-for="(cardData, index) in resultFilterRecipes" :key="index"
        >
          <div class="ma-2">
            <RecipeItem :cardData="cardData" />
          </div>
        </v-col>
      </v-row>
    </v-container>
  </v-content>
</div>